Skip to content

Most visited

Recently visited

navigation

BundleCompat

public final class BundleCompat
extends Object

java.lang.Object
   ↳ android.support.v4.app.BundleCompat


Helper for accessing features in Bundle.

Summary

Public methods

static IBinder getBinder(Bundle bundle, String key)

A convenience method to handle getting an IBinder inside a Bundle for all Android versions.

static void putBinder(Bundle bundle, String key, IBinder binder)

A convenience method to handle putting an IBinder inside a Bundle for all Android versions.

Inherited methods

From class java.lang.Object

Public methods

getBinder

added in version 23.1.0
IBinder getBinder (Bundle bundle, 
                String key)

A convenience method to handle getting an IBinder inside a Bundle for all Android versions.

Parameters
bundle Bundle: The bundle to get the IBinder.

key String: The key to use while getting the IBinder.

Returns
IBinder The IBinder that was obtained.

putBinder

added in version 23.1.0
void putBinder (Bundle bundle, 
                String key, 
                IBinder binder)

A convenience method to handle putting an IBinder inside a Bundle for all Android versions.

Parameters
bundle Bundle: The bundle to insert the IBinder.

key String: The key to use while putting the IBinder.

binder IBinder: The IBinder to put.

This site uses cookies to store your preferences for site-specific language and display options.

Get the latest Android developer news and tips that will help you find success on Google Play.

* Required Fields

Hooray!

Browse this site in ?

You requested a page in , but your language preference for this site is .

Would you like to change your language preference and browse this site in ? If you want to change your language preference later, use the language menu at the bottom of each page.

This class requires API level or higher

This doc is hidden because your selected API level for the documentation is . You can change the documentation API level with the selector above the left navigation.

For more information about specifying the API level your app requires, read Supporting Different Platform Versions.

Take a one-minute survey?
Help us improve Android tools and documentation.